#! /bin/bash

mkdir -p /adei/{src,cfg,tmp,sys,log}


while [ ! -f /adei/cfg/.ready ]; do
    echo "Waiting for ADEI intialization..."
    sleep 5
done

while [ ! -f "$1" ]; do
    echo "The script $1 is not populated yet. Waiting...."
    sleep 1
done

echo "Running: $@"
exec /bin/bash "$@"
